Ask / Submit
0

[Solved] Fatal error: droid-hal-version-f5121 not found [answered]

asked 2019-01-18 09:58:23 +0200

rob_kouw gravatar image

updated 2019-01-18 14:20:28 +0200

After upgrading to Sipoonkorpi 3.0.1.11, I can't install new apps any more. This message blocks everything.

Fatal error: File './armv7hl/droid-hal-version-f5121-0.2.1-1.2.11.jolla.armv7hl.rpm' not found on medium 'https://store-repository.jolla.com/releases/3.0.1.11/jolla-hw/adaptation-qualcomm-f5121/armv7hl/?credentials=store'

I have used the option in Utilities to rebuild the app registry, without result.

Running pkcon update in a terminal, I get the following. Looking at the events view components, it seems to me that the upgrade to Sipoonkorpi has not finished entirely?

    The following packages have to be installed:
 droid-hal-version-f5121-0.2.1-1.2.11.jolla.armv7hl     SailfishOS HW Adaptation droid version package 0.2.1.11 (armv7hl,release)
 eventsview-extensions-0.1.0-1.4.7.jolla.armv7hl        Extension plugins to the events view
 eventsview-extensions-twitter-posts-0.1.0-1.4.7.jolla.armv7hl  Provides events view extensions for displaying Twitter posts
 eventsview-extensions-vk-posts-0.1.0-1.4.7.jolla.armv7hl       Provides events view extensions for displaying VKontakte posts
 geoclue-provider-hybris-0.2.19-1.6.10.jolla.armv7hl    Geoinformation Service Hybris Provider
 harbour-welkweer-0.14-1.armv7hl        Dutch weather related info
 jolla-actdead-charging-0.13.6-1.3.5.jolla.armv7hl      Jolla actdead charging animation
 libsolv-tools-0.6.35-1.4.1.jolla.armv7hl       A new approach to package dependency solving
 libsolv0-0.6.35-1.4.1.jolla.armv7hl    A new approach to package dependency solving
 libzypp-17.3.1-1.5.1.jolla.armv7hl     Package, Patch, Pattern, and Product Management
 sailfish-components-webview-qt5-0.1.0-1.6.5.jolla.armv7hl      Allows embedding Sailfish OS Browser WebView into applications
 sailfish-components-webview-qt5-pickers-0.1.0-1.6.5.jolla.armv7hl      Picker and selector QML components used by sailfish-components-webview
 sailfish-components-webview-qt5-popups-0.1.0-1.6.5.jolla.armv7hl       Popup and alert QML components used by sailfish-components-webview
 sailfish-minui-resources-z1.75-0.0.4-1.4.5.jolla.armv7hl       Scale factor 1.75 resources for the Sailfish MinUI
 sailfish-tutorial-0.2.3-1.8.2.jolla.armv7hl    Sailfish Tutorial Application
 sailfish-tutorial-data-0.2.3-1.8.2.jolla.noarch        Graphical assets for sailfish-tutorial
 sailfish-upgrade-ui-0.1.1-1.5.5.jolla.armv7hl  Sailfish OS upgrade UI
 sailfish-upgrade-ui-resources-z1.75-0.1.1-1.5.5.jolla.armv7hl  Scale factor 1.75 resources for the Sailfish Upgrade UI
edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by raketti
close date 2019-01-18 14:33:47.020313

Comments

Thanks. This helped with Xperia X. Looking forward to next updates...

N9Sailfish ( 2019-01-18 11:51:28 +0200 )edit

Solved. Thank you, Alex!

rob_kouw ( 2019-01-18 14:19:30 +0200 )edit

@rob_kouw Great to read this. Please accept the answer and close the question as solved. :)

Alex ( 2019-01-18 14:22:22 +0200 )edit

1 Answer

Sort by » oldest newest most voted
3

answered 2019-01-18 10:22:21 +0200

Alex gravatar image

updated 2019-01-18 10:22:53 +0200

Try to execute the following commands in the terminal as root:

pkcon refresh
version --dup
edit flag offensive delete publish link more

Question tools

Follow
2 followers

Stats

Asked: 2019-01-18 09:58:23 +0200

Seen: 369 times

Last updated: Jan 18